Index: LMDZ6/branches/LMDZ_ECRad/makelmdz
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/makelmdz	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/makelmdz	(revision 4482)
@@ -111,7 +111,8 @@
 [-prod / -dev / -debug]    : compilation mode production (default) / developement / debug
 [-c false/MPI1/MPI2]       : coupling with ocean model : MPI1/MPI2/false (default: false)
-[-v false/orchidee2.0/orchidee1.9/true] : version of the vegetation model to include (default: false)
+[-v false/orchideetrunk/orchidee2.1/orchidee2.0/orchidee1.9] : version of the vegetation model to include (default: false)
           false       : no vegetation model
-          orchidee2.1 : compile using ORCHIDEE 2.1 (or more recent version)
+          orchideetrunk : compile using ORCHIDEE trunk from revision 7757 or higher
+          orchidee2.1 : compile using ORCHIDEE 2.1 until 4.1 included or until revision 7757 on the trunk
           orchidee2.0 : compile using ORCHIDEE 2.0 (or more recent version)
           orchidee1.9 : compile using ORCHIDEE up to the version including OpenMP in ORCHIDEE : tag 1.9-1.9.5(version AR5)-1.9.6
@@ -123,5 +124,5 @@
 [-inlandsis true/false]  : compile with/without inlandsis package (default: false)
 [-rrtm true/false]    : compile with/without rrtm package (default: false)
-[-rad old/rrtm/ecrad]    : compile with old/rrtm/ecrad radiatif code (default: old)
+[-rad oldrad/rrtm/ecrad]    : compile with oldrad/rrtm/ecrad radiatif code (default: oldrad)
 [-dust true/false]    : compile with/without the dust package from Boucher et al. (default: false)
 [-strataer true/false]    : compile with/without the strat aer package from Boucher et al. (default: false)
@@ -195,5 +196,5 @@
 
       "-rrtm")
-          rrtm="$2" ; if [ "$2" = "false" ] ; then rad="old" ; else rad="rrtm" ; fi ; shift ; shift ;;
+          rrtm="$2" ; if [ "$2" = "false" ] ; then rad="oldrad" ; else rad="rrtm" ; fi ; shift ; shift ;;
 
       "-rad")
@@ -373,7 +374,7 @@
 then
    CPP_KEY="$CPP_KEY INCA"
-   INCLUDE="$INCLUDE -I${INCA_INCDIR}"
-   LIB="$LIB -L${INCA_LIBDIR} -lchimie"
-   libchimie=" -L${INCA_LIBDIR} -lchimie"
+   INCLUDE="$INCLUDE ${INCA_INCDIR}"
+   LIB="$LIB ${INCA_LIBDIR} ${INCA_LIB}"
+   libchimie=" ${INCA_LIBDIR} ${INCA_LIB}"
 fi
 
@@ -381,6 +382,6 @@
 then
    CPP_KEY="$CPP_KEY CPP_COUPLE"
-   INCLUDE="$INCLUDE -I${OASIS_INCDIR}"
-   LIB="$LIB -L${OASIS_LIBDIR} -lpsmile.${couple} -lmpp_io"
+   INCLUDE="$INCLUDE ${OASIS_INCDIR}"
+   LIB="$LIB ${OASIS_LIBDIR} ${OASIS_LIB}"
 fi
 
@@ -442,8 +443,8 @@
 
 #==============================================================================
-if [ "$veget" = "true" -o "$veget" = "orchidee1.9" -o "$veget" = "orchidee2.0" -o "$veget" = "orchidee2.1" ]
-then
-
-   INCLUDE="${INCLUDE} -I${ORCH_INCDIR}"
+if [ "$veget" = "true" -o "$veget" = "orchidee1.9" -o "$veget" = "orchidee2.0" -o "$veget" = "orchidee2.1" -o "$veget" = "orchideetrunk" ]
+then
+
+   INCLUDE="${INCLUDE} ${ORCH_INCDIR}"
    CPP_KEY="$CPP_KEY CPP_VEGET"
 # temporary, for Orchidee versions 1.9.* (before openmp activation)
@@ -452,17 +453,20 @@
    fi
    if [[ "$veget" == "orchidee2.0" ]] ; then
-      orch_libs="sechiba parameters stomate parallel orglob orchidee"
+      orch_libs="-lsechiba -lparameters -lstomate -lparallel -lorglob -lorchidee"
       CPP_KEY="$CPP_KEY ORCHIDEE_NOUNSTRUCT"
    elif [[ "$veget" == "orchidee2.1" ]] ; then
-      orch_libs="sechiba parameters stomate parallel orglob orchidee"
+      CPP_KEY="$CPP_KEY ORCHIDEE_NOLIC"
+      orch_libs="-lsechiba -lparameters -lstomate -lparallel -lorglob -lorchidee"
+   elif [[ "$veget" == "orchideetrunk" ]] ; then
+      orch_libs="-lorchidee"
    else
-      orch_libs="sechiba parameters stomate parallel orglob"
+      orch_libs="-lsechiba -lparameters -lstomate -lparallel -lorglob"
    fi
-   LIB="${LIB} -L${ORCH_LIBDIR}"
-   for lib in ${orch_libs} ; do
-      if [ -f ${ORCH_LIBDIR}/lib${LIBPREFIX}$lib.a ] ; then
-         LIB="${LIB} -l${LIBPREFIX}$lib "
-      fi
-   done
+   LIB="${LIB} ${ORCH_LIBDIR} ${orch_libs}"
+#   for lib in ${orch_libs} ; do
+#      if [ -f ${ORCH_LIBDIR}/lib${LIBPREFIX}$lib.a ] ; then
+#         LIB="${LIB} -l${LIBPREFIX}$lib "
+#      fi
+#   done
 elif [[ "$veget" != "false" ]] ; then
    echo "Option -v $veget does not exist"
@@ -478,18 +482,18 @@
 then
    CPP_KEY="$CPP_KEY CPP_IOIPSL"
-   INCLUDE="$INCLUDE -I${IOIPSL_INCDIR}"
-   LIB="$LIB -L${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl"
+   INCLUDE="$INCLUDE ${IOIPSL_INCDIR}"
+   LIB="$LIB ${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl"
 elif [[ $io == mix ]]
 then
    # For now, xios implies also using ioipsl
    CPP_KEY="$CPP_KEY CPP_IOIPSL CPP_XIOS"
-   INCLUDE="$INCLUDE -I${IOIPSL_INCDIR} -I${XIOS_INCDIR}"
-   LIB="$LIB -L${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl -L${XIOS_LIBDIR} -l${LIBPREFIX}stdc++ -l${LIBPREFIX}xios -l${LIBPREFIX}stdc++"
+   INCLUDE="$INCLUDE ${IOIPSL_INCDIR} ${XIOS_INCDIR}"
+   LIB="$LIB ${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl ${XIOS_LIBDIR} -l${LIBPREFIX}stdc++ -l${LIBPREFIX}xios -l${LIBPREFIX}stdc++"
 elif [[ $io == xios ]]
 then
    # For now, xios implies also using ioipsl
    CPP_KEY="$CPP_KEY CPP_IOIPSL CPP_XIOS CPP_IOIPSL_NO_OUTPUT"
-   INCLUDE="$INCLUDE -I${IOIPSL_INCDIR} -I${XIOS_INCDIR}"
-   LIB="$LIB -L${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl -L${XIOS_LIBDIR} -l${LIBPREFIX}stdc++ -l${LIBPREFIX}xios -l${LIBPREFIX}stdc++"
+   INCLUDE="$INCLUDE ${IOIPSL_INCDIR} ${XIOS_INCDIR}"
+   LIB="$LIB ${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl ${XIOS_LIBDIR} -l${LIBPREFIX}stdc++ -l${LIBPREFIX}xios -l${LIBPREFIX}stdc++"
 fi
 
@@ -556,5 +560,5 @@
 
 INCLUDE="$INCLUDE ${NETCDF_INCDIR}"
-LIB="$LIB ${NETCDF_LIBDIR}"
+LIB="$LIB ${NETCDF_LIBDIR} ${NETCDF_LIB}"
 
 ########################################################################
@@ -707,7 +711,8 @@
    # On enleve tout apres ONLy et on met un "uniq" pour que ca ne recrée pas
    # le makefile si on se contente d'ajouter des lignes dans le ONLY
+   exclude="replay automatic include"
    for str in subroutine "use " "include " ; do
-      grep -i "$str" libf/$dir/*.[Fh] | cut -d\( -f1 | sed -e 's/[Oo][Nn][Ll][Yy].*.$//' | uniq >> tmp77
-      grep -i "$str" libf/$dir/*.F90  | cut -d\( -f1 | sed -e 's/[Oo][Nn][Ll][Yy].*.$//' | uniq >> tmp90
+      grep -i "$str" libf/$dir/*.[Fh] | sed -e "/$exclude/d" | cut -d\( -f1 | sed -e 's/[Oo][Nn][Ll][Yy].*.$//' | uniq >> tmp77
+      grep -i "$str" libf/$dir/*.F90  | sed -e "/$exclude/d" | cut -d\( -f1 | sed -e 's/[Oo][Nn][Ll][Yy].*.$//' | uniq >> tmp90
    done
 done
Index: LMDZ6/branches/LMDZ_ECRad/makelmdz_fcm
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/makelmdz_fcm	(revision 4444)
+++ LMDZ6/branches/LMDZ_ECRad/makelmdz_fcm	(revision 4482)
@@ -45,4 +45,5 @@
 isotrac=false
 force_compile=false
+cplocninca=false
 
 arch_defined="FALSE"
@@ -94,11 +95,13 @@
 [-prod / -dev / -debug]    : compilation mode production (default) / developement / debug
 [-c false/MPI1/OMCT]       : coupling with ocean model : MPI1/OMCT/false (default: false)
-[-v false/orchidee2.0/orchidee1.9/true] : version of the vegetation model to include (default: false)
+[-v false/orchideetrunk/orchidee2.1/orchidee2.0/orchidee1.9] : version of the vegetation model to include (default: false)
           false       : no vegetation model
-          orchidee2.1 : compile using ORCHIDEE 2.1 (or more recent version)
+          orchideetrunk : compile using ORCHIDEE trunk from revision 7757 or higher
+          orchidee2.1 : compile using ORCHIDEE 2.1 until 4.1 included or until revision 7757 on the trunk
           orchidee2.0 : compile using ORCHIDEE 2.0
           orchidee1.9 : compile using ORCHIDEE up to the version including OpenMP in ORCHIDEE : tag 1.9-1.9.5(version AR5)-1.9.6
           true        : (obsolete; for backward compatibility) use ORCHIDEE tag 1.9-1.9.6
 [-chimie INCA/false]       : with INCA chemistry model or without (default: false)
+[-cplocninca ]        : allow transfer of species from PISCES to INCA (default: false)
 [-cosp true/false]    : compile with/without cosp package (default: false)
 [-cosp2 true/false]    : compile with/without cosp2 package (default: false)
@@ -179,4 +182,7 @@
 	  chimie="$2" ; shift ; shift ;;
 
+     "-cplocninca")
+          cplocninca=TRUE ; shift ;;
+
       "-isotopes")
 	  isotopes="$2" ; shift ; shift ;;
@@ -364,6 +370,6 @@
 then
    CPP_KEY="$CPP_KEY INCA"
-   INCLUDE="$INCLUDE -I${INCA_INCDIR}"
-   LIB="$LIB -L${INCA_LIBDIR} -lchimie"
+   INCLUDE="$INCLUDE ${INCA_INCDIR}"
+   LIB="$LIB ${INCA_LIBDIR} ${INCA_LIB}"
 fi
 
@@ -399,6 +405,6 @@
     else
 	CPP_KEY="$CPP_KEY CPP_COUPLE CPP_OMCT"
-	INCLUDE="$INCLUDE -I${OASIS_INCDIR}"
-	LIB="$LIB -L${OASIS_LIBDIR} -lpsmile.MPI1 -lscrip -lmct -lmpeu"
+	INCLUDE="$INCLUDE ${OASIS_INCDIR}"
+	LIB="$LIB ${OASIS_LIBDIR} -lpsmile.MPI1 -lscrip -lmct -lmpeu"
     fi
 fi
@@ -428,10 +434,11 @@
 fi
 
-if [ "$veget" = "true" -o "$veget" = "orchidee1.9" -o "$veget" = "orchidee2.0" -o "$veget" = "orchidee2.1" ]
-then
+if [ "$veget" = "true" -o "$veget" = "orchidee1.9" -o "$veget" = "orchidee2.0" -o "$veget" = "orchidee2.1" -o "$veget" = "orchideetrunk" ]
+then
+	echo "doing orchidee"
 #NB: option 'true': for backward compatibility. To be used with ORCHIDEE tag 1.9-1.9.6
 #    For this case, cpp flag ORCHIDEE_NOOPENMP must be added to the makelmdz_fcm arguments
 #    option orchidee1.9 : Compile with ORCHIDEE version up to the inclusion of OpenMP in ORCHIDEE : tag 1.9-1.9.5(version AR5)-1.9.6
-   INCLUDE="${INCLUDE} -I${ORCH_INCDIR}"
+   INCLUDE="${INCLUDE} ${ORCH_INCDIR}"
    CPP_KEY="$CPP_KEY CPP_VEGET"
 # temporary, for Orchidee versions 1.9.* (before openmp activation)
@@ -440,17 +447,22 @@
    fi
    if [[ "$veget" == "orchidee2.0" ]] ; then
-      orch_libs="sechiba parameters stomate parallel orglob orchidee"
+      orch_libs="-lsechiba -lparameters -lstomate -lparallel -lorglob -lorchidee"
       CPP_KEY="$CPP_KEY ORCHIDEE_NOUNSTRUCT"
    elif [[ "$veget" == "orchidee2.1" ]] ; then
-      orch_libs="sechiba parameters stomate parallel orglob orchidee"
+      CPP_KEY="$CPP_KEY ORCHIDEE_NOLIC"
+      orch_libs="-lsechiba -lparameters -lstomate -lparallel -lorglob -lorchidee"
+   elif [[ "$veget" == "orchideetrunk" ]] ; then
+      orch_libs="-lorchidee"
    else
-      orch_libs="sechiba parameters stomate parallel orglob"
+      orch_libs="-lsechiba -lparameters -lstomate -lparallel -lorglob"
    fi
-   LIB="${LIB} -L${ORCH_LIBDIR}"
-   for lib in ${orch_libs} ; do
-      if [ -f ${ORCH_LIBDIR}/lib${LIBPREFIX}$lib.a ] ; then
-         LIB="${LIB} -l${LIBPREFIX}$lib "
-      fi
-   done
+   LIB="${LIB} ${ORCH_LIBDIR} ${orch_libs}"
+#   for lib in ${orch_libs} ; do
+#      if [ -f ${ORCH_LIBDIR#-L}/lib${LIBPREFIX}$lib.a ] ; then
+#         LIB="${LIB} -l${LIBPREFIX}$lib "
+#      fi
+#   done
+   echo "orchidee lib" 
+   echo ${LIB}
 elif [[ "$veget" != "false" ]] ; then
    echo "Option -v $veget does not exist"
@@ -495,18 +507,18 @@
 then
    CPP_KEY="$CPP_KEY CPP_IOIPSL"
-   INCLUDE="$INCLUDE -I${IOIPSL_INCDIR}"
-   LIB="$LIB -L${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl"
+   INCLUDE="$INCLUDE ${IOIPSL_INCDIR}"
+   LIB="$LIB ${IOIPSL_LIBDIR} ${IOIPSL_LIB}"
 elif [[ $io == mix ]]
 then
    # For now, xios implies also using ioipsl
    CPP_KEY="$CPP_KEY CPP_IOIPSL CPP_XIOS"
-   INCLUDE="$INCLUDE -I${IOIPSL_INCDIR} -I${XIOS_INCDIR}"
-   LIB="$LIB -L${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl -L${XIOS_LIBDIR} -l${LIBPREFIX}stdc++ -l${LIBPREFIX}xios -l${LIBPREFIX}stdc++"
+   INCLUDE="$INCLUDE ${IOIPSL_INCDIR} ${XIOS_INCDIR}"
+   LIB="$LIB ${IOIPSL_LIBDIR} ${IOIPSL_LIB} ${XIOS_LIBDIR} ${XIOS_LIB}"
 elif [[ $io == xios ]]
 then
    # For now, xios implies also using ioipsl
    CPP_KEY="$CPP_KEY CPP_IOIPSL CPP_XIOS CPP_IOIPSL_NO_OUTPUT"
-   INCLUDE="$INCLUDE -I${IOIPSL_INCDIR} -I${XIOS_INCDIR}"
-   LIB="$LIB -L${IOIPSL_LIBDIR} -l${LIBPREFIX}ioipsl -L${XIOS_LIBDIR} -l${LIBPREFIX}stdc++ -l${LIBPREFIX}xios -l${LIBPREFIX}stdc++"
+   INCLUDE="$INCLUDE ${IOIPSL_INCDIR} ${XIOS_INCDIR}"
+   LIB="$LIB ${IOIPSL_LIBDIR} ${IOIPSL_LIB} ${XIOS_LIBDIR} ${XIOS_LIB}"
 fi
 
@@ -532,8 +544,12 @@
 fi
 
+if [[ "$cplocninca" == "TRUE" ]]
+then
+    CPP_KEY="${CPP_KEY} CPP_CPLOCNINCA"
+fi
 
 
 INCLUDE="$INCLUDE ${NETCDF_INCDIR}"
-LIB="$LIB ${NETCDF_LIBDIR}"
+LIB="$LIB ${NETCDF_LIBDIR} ${NETCDF_LIB}"
 
 ########################################################################
@@ -598,6 +614,4 @@
 then
   CPP_KEY="$CPP_KEY CPP_1D"
-##in 1D, add dyn3d to include path (because main prog is in physics)
-  INCLUDE="$INCLUDE -Ilibf/dyn3d -Ilibf/dyn3d_common"
 ## no filtre in 1d:
   FILTRE_PATH=$LMDGCM/.void_dir
